agtconf

Members
  • Posts

    3
  • Joined

  • Last visited

agtconf's Achievements

  1. Hi. When I try to upgrade my amlogic S912 tvbox with ubuntu bionic 20.05.0 to 20.05.1, the .dtb my tvbox use is gxm-vim-khadas2 If I reboot the machine it gets stuck on amlogic boot screen, I've tried to change the .dtb for the one's in the image Armbian_20.05.1_Arm-64_bionic_current_5.6.2_20200408.img.xz but it hasn't work. I've burned the image Armbian_20.05.1_Arm-64_bionic_current_5.6.2_20200408.img on a sd card, I've changed the dtb on uEnv.txt but it hasn't boot it was stuck on amlogic boot screen. When i read the sd card the uEnv.txt was restored to original with no changes. I've restored with a backup and upgraded all packages except "linux-image-current-arm-64/bionic 20.05.1 arm64 [upgradable from: 20.05.0]" and it works. conf@arm-64:~$ sudo apt list --upgradable Listing... Done linux-image-current-arm-64/bionic 20.05.1 arm64 [upgradable from: 20.05.0] N: There are 2 additional versions. Please use the '-a' switch to see them. conf@arm-64:~$ sudo apt list -a --upgradable Listing... Done linux-image-current-arm-64/bionic 20.05.1 arm64 [upgradable from: 20.05.0] linux-image-current-arm-64/bionic,now 20.05.0 arm64 [installed,upgradable to: 20.05.1] linux-image-current-arm-64/bionic 19.11.5 arm64 Any idea?
  2. Thanks a lot. And sorry, I didn't google the error. I'm happy with 5.98. I'll upgrade to 19.11.3 with a complete new instalation.
  3. Hi. My tvbox is an x9t with amlogic s912 whith ubuntu bionic server 5.98, Linux aml 5.3.0-aml-g12 #5.98 SMP PREEMPT Tue Oct 8 12:22:08 MSK 2019 aarch64 aarch64 aarch64 GNU/Linux when I trie to upgrade wiht apt, i got this error dpkg: error processing archive /var/cache/apt/archives/linux-image-aml-g12_5.99_arm64.deb (--unpack): unable to make backup link of './boot/System.map-5.3.0-aml-g12' before installing new version: Operation not permitted dpkg-deb: error: paste subprocess was killed by signal (Broken pipe) mv: cannot stat '/boot/vmlinuz-5.3.0-aml-g12': No such file or directory Preparing to unpack .../unattended-upgrades_1.1ubuntu1.18.04.13_all.deb ... Unpacking unattended-upgrades (1.1ubuntu1.18.04.13) over (1.1ubuntu1.18.04.12) ... Errors were encountered while processing: /var/cache/apt/archives/linux-image-aml-g12_5.99_arm64.deb E: Sub-process /usr/bin/dpkg returned an error code (1) How can I solve this error? BR, Antonio.